package com.djhk.uav.plotting.service.impl;

import com.djhk.uav.plotting.mapper.PlottingMapper;
import com.djhk.uav.plotting.modol.Plotting;
import com.djhk.uav.plotting.service.PlottingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class PlottingSeviceImpl implements PlottingService {
    @Autowired
    private PlottingMapper plottingMapper;
    @Override
    public Plotting selectPlottingById(Long id) {
        return plottingMapper.selectPlottingById(id);
    }

    @Override
    public List<Plotting> selectPlottingList(Long sysDeptNo) {
        return plottingMapper.selectPlottingList(sysDeptNo);
    }

    @Override
    public int insertPlotting(Plotting plotting) {
        return plottingMapper.insertPlotting(plotting);
    }

    @Override
    public int updatePlotting(Plotting plotting) {
        return plottingMapper.updatePlotting(plotting);
    }

    @Override
    public int deletePlottingById(Long id) {
        return plottingMapper.deletePlottingById(id);
    }

    @Override
    public int deletePlottingByIds(Long[] ids) {
        return plottingMapper.deletePlottingByIds(ids);
    }
}
